com.aliyun.svideosdk.mixrecorder

## Enum MixAudioSourceType

- java.lang.Object
- - java.lang.Enum<MixAudioSourceType>
  - - com.aliyun.svideosdk.mixrecorder.MixAudioSourceType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MixAudioSourceType>

      public enum MixAudioSourceType
      extends java.lang.Enum<MixAudioSourceType>

  合成视频的音频类型 v3.18.0 新增

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MIX` 混音（保留两条音轨） v3.19.0 新增
    `Mute` 静音
    `Original` 原音频音轨
    `Recorded` 录制音轨

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MixAudioSourceType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MixAudioSourceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Original

          public static final MixAudioSourceType Original

      原音频音轨

    - #### Recorded

          public static final MixAudioSourceType Recorded

      录制音轨

    - #### Mute

          public static final MixAudioSourceType Mute

      静音

    - #### MIX

          public static final MixAudioSourceType MIX

      混音（保留两条音轨） v3.19.0 新增

  - ### Method Detail

    - #### values

          public static MixAudioSourceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MixAudioSourceType c : MixAudioSourceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MixAudioSourceType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null